Bug 111007 - fstab mounts are not mounted at boot time
fstab mounts are not mounted at boot time
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2003-11-26 09:18 EST by Bill Glover
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-17 15:57:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Glover 2003-11-26 09:18:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
It is not clear to me that this is a autosf problem, mount problem, or
init problem. Change as needed.

Disk configuration is 60GB hda with three primary partions for FC1.
Added a fourth 32 GB primary partition that I want to mount as /pub
and make available to all users. Partition is made and successfully
mounted and used by root. Change permissions to allow all users to rwx
/pub filesystem.

Place this line in fstab ...
/dev/hda4    /pub    ext3    auto,user,dev,exec,rw,async    0 0

On boot the filesystem does not mount automatically.

After boot, '# mount -a' does not mount the files either. '# mount
/pub' does mount it ...

Adding this line to /etc/rc.d/rc.local ...
mount    /pub
filesystem then mounts at boot correctly.

It appears the fault lies with 'mount -a' not working correctly.
Verifying the mounts by examining /etc/mtab confirms behavior.

I tried many combinations of fstab entries and could not find a combo
that works. Search fedora-devel-list for my email address to see one

Version-Release number of selected component (if applicable):
autofs-3.1.7-42, mount-2.11y-29

How reproducible:

Steps to Reproduce:
1. add entry for new disk partition to fstab
2. reboot
3. filesystem not mounted at boot

Actual Results:  filesystem not mounted. mount -a does not appear to
work. mount /pub does work.

Expected Results:  Should mount the additional partition automatically
at boot.

Additional info:
Comment 1 Bill Glover 2003-11-27 09:37:30 EST
More information...

I had a second disk (hdb) which I was going to copy files from after I
installed the new disk. It has a RH9 installtion on board. Config is
hda is new and hda has old install of RH9.

The conflict is apparently the fact that there are now two disk
partitions with LABEL=/boot. This causes the partition table held by
the main OS to be messed up. The /boot dir of the hda drive shows
blank, no files or folders.

Is there any way to have two installs of RH or FC1 on the same
computer? This implies no.

For a normal user this may be a problem if down the road they upgrade
the primary disk drive and want to copy files like I did. Need a
mention in docs or a work around IMHO.


Comment 2 Tom Diehl 2003-11-30 09:17:56 EST
If the 2nd disk is there during the install anaconda will label the
2nd one /boot1 etc. There is nothing to stop you from doing that
manually if you add the disk after install.
Comment 3 Bill Glover 2003-11-30 11:41:28 EST
Thanks ... I have got it pretty well figured out now, after a lot of
time searching.

The results of doing the drive upgrade were unexpected and to the
uninitiated it appeared broke. It is quite normal to upgrade a drive
these days and I would recommend a documentation entry about it so
others don't fall victim.

If someone knows how or who to forward this to that does docs, I would
bet others that follow would be happy.
Comment 4 Nalin Dahyabhai 2003-12-02 15:18:44 EST
Bouncing to util-linux.
Comment 5 Elliot Lee 2003-12-17 15:57:50 EST
There are a few things that look wrong with that fstab line... :)

/dev/hda4    /pub    ext3    defaults,user    1 2

should work better...

Definitely not an autofs issue.

Note You need to log in before you can comment on or make changes to this bug.